<?php

/**
 * Created by PhpStorm.
 * User: jderosa
 * Date: 24/02/20
 * Time: 7.50
 */

namespace FiloBlu\Rma\Api;

use FiloBlu\Rma\Model\ChangeSizeMatrixRate;
use Magento\Framework\Api\SearchCriteriaInterface;

/**
 *
 */
interface ChangeSizeRepositoryInterface
{
    /**
     * @param \FiloBlu\Rma\Model\ChangeSizeMatrixRate $changeSize
     */
    public function save(ChangeSizeMatrixRate $changeSize);

    /**
     * @param int $rmaEntityId
     * @return \FiloBlu\Rma\Model\ChangeSizeMatrixRate
     */
    public function getByRmaId(int $rmaEntityId);

    /**
     * @param \FiloBlu\Rma\Model\ChangeSizeMatrixRate $changeSize
     */
    public function delete(ChangeSizeMatrixRate $changeSize);

    /**
     * @param int $changeSizeEntityId
     */
    public function deleteById(int $changeSizeEntityId);

    /**
     * Get product list
     *
     * @param \Magento\Framework\Api\SearchCriteriaInterface $searchCriteria
     * @return \FiloBlu\Rma\Model\ChangeSizeMatrixRate
     */
    public function getList(SearchCriteriaInterface $searchCriteria);
}
